/* CPU is at 50 MHz */
#define CPU_CLOCK_FREQUENCY	50000000

/* The RTC timer is clocked at the CPU frequency / 1525, so
 * around 32786.88 Hz */
//#define RTC_CLOCK_FREQUENCY	32786

/* FIXME: The real RTC frequency is around half that, as the divider was wrongly
 * configured. So for now lets use the real frequency:
 *   50e6 / (1525*2) = 16393.44262295082 -> 16393 Hz */
#define RTC_CLOCK_FREQUENCY	16393

#define UART_SPEED		115200
#define UART0_ADDR		0x40001000
#define UART0_ADDR_HEX		  40001000

#define PLIC_ADDR		0x40800000
#define UART_ADDR		0x40001000
